package com.yonge.cooleshow.biz.dal.enums.im;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;
import lombok.Getter;

/**
 * IM群发消息状态
 * Created by Eric.Shang on 2022/12/9.
 */
@Getter
public enum EImSendStatus implements BaseEnum<String, EImSendStatus> {

    WAIT("待发送"),
    SENDING("发送中"),
    SEND("已发送"),
    DISABLE("已停用"),
    EXPIRE("已失效"),
    ;

    @EnumValue
    private final String code;

    private final String msg;

    EImSendStatus(String msg) {
        this.msg = msg;

        this.code = this.name();
    }
}
